<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'litecms',

    /*
     * Package.
     */
    'package'   => 'empdetail',

    /*
     * Modules.
     */
    'modules'   => ['emp_details'],

    
    'emp_details'       => [
        'model' => [
            'model'                 => \Litecms\Empdetail\Models\EmpDetails::class,
            'table'                 => 'emp_details',
            'presenter'             => \Litecms\Empdetail\Repositories\Presenter\EmpDetailsPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['first_name',  'last_name',  'father_name',  'mother_name',  'f_occupation',  'm_occupation',  'guardian_name',  'mar_status',  'h_w_name',  'h_w_occupation',  'guardian_number',  'siblings',  'sibling_name',  'sibling_occupation',  'twe_place',  'twe_ins',  'twe_marks',  'grad_place',  'grad_ins',  'grad_marks',  'post_grad_place',  'post_grad_ins',  'past_grad_marks',  'pro_place',  'prof_ins',  'prof_marks',  'dip_place',  'dip_ins',  'dip_marks',  'achievements',  'experience',  'exp_feild',  'company_name',  'doj',  'dor',  'salary',  'designation',  'reason',  'blood_group',  'is_ready',  'medical_history',  'cause',  'allergic_med',  'wit_med',  'aadhar_card',  'pan_card',  'uan',  'voter_card',  'bname',  'account_num',  'type_acc',  'ifsc_code',  'bank_name',  'branch',  'ref_name',  'ref_num',  'ref_designation',  'ref_occupation',  'portfolio'],
            'translatables'         => [],
            'upload_folder'         => 'empdetail/emp_details',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'Litecms',
            'package'   => 'Empdetail',
            'module'    => 'EmpDetails',
        ],

    ],
];
