<?php

namespace Litecms;

use DB;
use Illuminate\Database\Seeder;

class EmpdetailsTableSeeder extends Seeder
{
    public function run()
    {
        DB::table('emp_details')->insert([
            
        ]);

        DB::table('permissions')->insert([
            [
                'slug'      => 'empdetails.emp_details.view',
                'name'      => 'View EmpDetails',
            ],
            [
                'slug'      => 'empdetails.emp_details.create',
                'name'      => 'Create EmpDetails',
            ],
            [
                'slug'      => 'empdetails.emp_details.edit',
                'name'      => 'Update EmpDetails',
            ],
            [
                'slug'      => 'empdetails.emp_details.delete',
                'name'      => 'Delete EmpDetails',
            ],
            
            
        ]);

        DB::table('menus')->insert([

            [
                'parent_id'   => 1,
                'key'         => null,
                'url'         => 'admin/empdetails/emp_details',
                'name'        => 'EmpDetails',
                'description' => null,
                'icon'        => 'fa fa-newspaper-o',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 2,
                'key'         => null,
                'url'         => 'user/empdetails/emp_details',
                'name'        => 'EmpDetails',
                'description' => null,
                'icon'        => 'icon-book-open',
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

            [
                'parent_id'   => 3,
                'key'         => null,
                'url'         => 'emp_details',
                'name'        => 'EmpDetails',
                'description' => null,
                'icon'        => null,
                'target'      => null,
                'order'       => 190,
                'status'      => 1,
            ],

        ]);

        DB::table('settings')->insert([
            // Uncomment  and edit this section for entering value to settings table.
            /*
            [
                'pacakge'   => 'Empdetails',
                'module'    => 'EmpDetails',
                'user_type' => null,
                'user_id'   => null,
                'key'       => 'empdetails.emp_details.key',
                'name'      => 'Some name',
                'value'     => 'Some value',
                'type'      => 'Default',
                'control'   => 'text',
            ],
            */
        ]);
    }
}
