<?php

return [
    /*
    |--------------------------------------------------------------------------
    | Language files for emp_details in empdetails package
    |--------------------------------------------------------------------------
    |
    | The following language lines are  for  emp_details module in empdetails package
    | and it is used by the template/view files in this module
    |
    */

    /**
     * Singlular and plural name of the module
     */
    'name'          => 'EmpDetails',
    'names'         => 'EmpDetails',
    
    /**
     * Singlular and plural name of the module
     */
    'title'         => [
        'main'  => 'EmpDetails',
        'sub'   => 'EmpDetails',
        'list'  => 'List of emp_details',
        'edit'  => 'Edit emp_details',
        'create'    => 'Create new emp_details'
    ],

    /**
     * Options for select/radio/check.
     */
    'options'       => [
            
    ],

    /**
     * Placeholder for inputs
     */
    'placeholder'   => [
        'first_name'                 => 'First Name',
        'last_name'                  => 'Last Name',
        'father_name'                => 'Father's Name',
        'mother_name'                => 'Mother's Name',
        'f_occupation'               => 'Father's Occupation',
        'm_occupation'               => 'Mother's Occupation',
        'guardian_name'              => 'Guardian Name',
        'mar_status'                 => 'Marital Status',
        'h_w_name'                   => 'Husband/Wife Name',
        'h_w_occupation'             => 'Husband/Wife Occupation',
        'guardian_number'            => 'Guardian Number',
        'siblings'                   => 'Number of Siblings',
        'sibling_name'               => 'Sibling Name',
        'sibling_occupation'         => 'Sibling Occupation',
        'twe_place'                  => 'Place',
        'twe_ins'                    => ' Institution Name',
        'twe_marks'                  => '+2 Marks',
        'grad_place'                 => ' Place',
        'grad_ins'                   => ' Institution Name',
        'grad_marks'                 => 'Graduation Marks',
        'post_grad_place'            => 'Place',
        'post_grad_ins'              => 'Place',
        'past_grad_marks'            => 'Post Graduation Marks',
        'pro_place'                  => 'Place',
        'prof_ins'                   => 'Institution Name',
        'prof_marks'                 => 'Professional Degree Marks',
        'dip_place'                  => 'Place',
        'dip_ins'                    => 'Institution Name',
        'dip_marks'                  => ' Marks',
        'achievements'               => 'Achievements',
        'experience'                 => 'No. of years',
        'exp_feild'                  => 'Feild',
        'company_name'               => 'Company Name',
        'doj'                        => 'Date of Joining',
        'dor'                        => 'Date of Relieving',
        'salary'                     => 'Salary',
        'designation'                => 'Designation',
        'reason'                     => 'Reason of Leaving',
        'blood_group'                => 'Blood Group',
        'is_ready'                   => 'Ready for Donation',
        'medical_history'            => 'Medical History',
        'cause'                      => 'Special Cause',
        'allergic_med'               => 'Any Allergic Medication',
        'wit_med'                    => 'Any Allergic Without Medication',
        'aadhar_card'                => 'Aadhar Card',
        'pan_card'                   => 'Pan Card',
        'uan'                        => 'UAN',
        'voter_card'                 => 'Voter Id Card',
        'bname'                      => 'Name in Bank Records',
        'account_num'                => 'Account Number',
        'type_acc'                   => 'Type of Account',
        'ifsc_code'                  => 'IFSC Code',
        'bank_name'                  => 'Bank Name',
        'branch'                     => 'Branch Name',
        'ref_name'                   => 'Name',
        'ref_num'                    => ' Number',
        'ref_designation'            => 'Designation',
        'ref_occupation'             => 'Occupation',
        'portfolio'                  => 'Portfolio',
    ],

    /**
     * Labels for inputs.
     */
    'label'         => [
        'first_name'                 => 'First Name',
        'last_name'                  => 'Last Name',
        'father_name'                => 'Father's Name',
        'mother_name'                => 'Mother's Name',
        'f_occupation'               => 'Father's Occupation',
        'm_occupation'               => 'Mother's Occupation',
        'guardian_name'              => 'Guardian Name',
        'mar_status'                 => 'Marital Status',
        'h_w_name'                   => 'Husband/Wife Name',
        'h_w_occupation'             => 'Husband/Wife Occupation',
        'guardian_number'            => 'Guardian Number',
        'siblings'                   => 'Number of Siblings',
        'sibling_name'               => 'Sibling Name',
        'sibling_occupation'         => 'Sibling Occupation',
        'twe_place'                  => 'Place',
        'twe_ins'                    => ' Institution Name',
        'twe_marks'                  => '+2 Marks',
        'grad_place'                 => ' Place',
        'grad_ins'                   => ' Institution Name',
        'grad_marks'                 => 'Graduation Marks',
        'post_grad_place'            => 'Place',
        'post_grad_ins'              => 'Place',
        'past_grad_marks'            => 'Post Graduation Marks',
        'pro_place'                  => 'Place',
        'prof_ins'                   => 'Institution Name',
        'prof_marks'                 => 'Professional Degree Marks',
        'dip_place'                  => 'Place',
        'dip_ins'                    => 'Institution Name',
        'dip_marks'                  => ' Marks',
        'achievements'               => 'Achievements',
        'experience'                 => 'No. of years',
        'exp_feild'                  => 'Feild',
        'company_name'               => 'Company Name',
        'doj'                        => 'Date of Joining',
        'dor'                        => 'Date of Relieving',
        'salary'                     => 'Salary',
        'designation'                => 'Designation',
        'reason'                     => 'Reason of Leaving',
        'blood_group'                => 'Blood Group',
        'is_ready'                   => 'Ready for Donation',
        'medical_history'            => 'Medical History',
        'cause'                      => 'Special Cause',
        'allergic_med'               => 'Any Allergic Medication',
        'wit_med'                    => 'Any Allergic Without Medication',
        'aadhar_card'                => 'Aadhar Card',
        'pan_card'                   => 'Pan Card',
        'uan'                        => 'UAN',
        'voter_card'                 => 'Voter Id Card',
        'bname'                      => 'Name in Bank Records',
        'account_num'                => 'Account Number',
        'type_acc'                   => 'Type of Account',
        'ifsc_code'                  => 'IFSC Code',
        'bank_name'                  => 'Bank Name',
        'branch'                     => 'Branch Name',
        'ref_name'                   => 'Name',
        'ref_num'                    => ' Number',
        'ref_designation'            => 'Designation',
        'ref_occupation'             => 'Occupation',
        'portfolio'                  => 'Portfolio',
    ],

    /**
     * Columns array for show hide checkbox.
     */
    'cloumns'         => [
        'first_name'                 => ['name' => 'First Name', 'data-column' => 1, 'checked'],
        'last_name'                  => ['name' => 'Last Name', 'data-column' => 2, 'checked'],
        'father_name'                => ['name' => 'Father&#039;s Name', 'data-column' => 3, 'checked'],
        'mother_name'                => ['name' => 'Mother&#039;s Name', 'data-column' => 4, 'checked'],
        'f_occupation'               => ['name' => 'Father&#039;s Occupation', 'data-column' => 5, 'checked'],
        'm_occupation'               => ['name' => 'Mother&#039;s Occupation', 'data-column' => 6, 'checked'],
        'guardian_name'              => ['name' => 'Guardian Name', 'data-column' => 7, 'checked'],
    ],

    /**
     * Tab labels
     */
    'tab'           => [
        'name'  => 'EmpDetails',
    ],

    /**
     * Texts  for the module
     */
    'text'          => [
        'preview' => 'Click on the below list for preview',
    ],
];
