@extends('resource.index')
@php
$links['create'] = guard_url('empdetails/emp_details/create');
$links['search'] = guard_url('empdetails/emp_details');
@endphp

@section('icon') 
<i class="pe-7s-display2"></i>
@stop

@section('title') 
{!! __('empdetails::emp_details.title.main') !!}
@stop

@section('sub.title') 
{!! __('empdetails::emp_details.title.list') !!}
@stop

@section('breadcrumb') 
  <li><a href="{!!guard_url('/')!!}">{{ __('app.home') }}</a></li>
  <li><a href="{!!guard_url('empdetails/emp_details')!!}">{!! __('empdetails::emp_details.name') !!}</a></li>
  <li>{{ __('app.list') }}</li>
@stop

@section('entry') 
<div id="entry-form">

</div>
@stop

@section('list')
    @include('empdetails::emp_details.partial.list.' . $view, ['mode' => 'list'])
@stop

@section('pagination') 
    {!!$emp_details->links()!!}
@stop

@section('script')

@stop

@section('style')

@stop 
